Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.submit
Class WsdlMessageExchange

    java.lang.Object
      com.eviware.soapui.impl.wsdl.submit.WsdlMessageExchange

All Implemented Interfaces:
  MessageExchange

Direct Known Subclasses:
  WsdlMockResponseMessageExchange, WsdlMockResultMessageExchange, WsdlResponseMessageExchange

    public abstract class WsdlMessageExchange

extends java.lang.Object
implements MessageExchange

MessageExchange for WSDL-based exchanges

Author:
  ole.matzura

Constructor Summary
`WsdlMessageExchange()`

Method Summary
`void` | `addProperty(java.lang.String name, java.lang.String value)`
`java.lang.String[]` | `getMessages()`
`abstract WsdlOperation` | `getOperation()`
`StringToStringMap` | `getProperties()`
`Attachment[]` | `getRequestAttachmentsForPart(java.lang.String name)`
`Attachment[]` | `getResponseAttachmentsForPart(java.lang.String name)`
`boolean` | `hasRequest(boolean ignoreEmpty)`
`boolean` | `hasResponse()`
`void` | `setMessages(java.lang.String[] messages)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.iface.MessageExchange
`getRequestAttachments, getRequestContent, getRequestHeaders, getResponseAttachments, getResponseContent, getResponseHeaders, getTimestamp, getTimeTaken`

Constructor Detail

### WsdlMessageExchange

    public WsdlMessageExchange()

Method Detail

### addProperty

    public void addProperty(java.lang.String name,
                            java.lang.String value)

### getProperties

    public StringToStringMap getProperties()

  Specified by:
    `getProperties` in interface `MessageExchange`

### hasResponse

    public boolean hasResponse()

### getOperation

    public abstract WsdlOperation getOperation()

### getResponseAttachmentsForPart

    public Attachment[] getResponseAttachmentsForPart(java.lang.String name)

### getRequestAttachmentsForPart

    public Attachment[] getRequestAttachmentsForPart(java.lang.String name)

### hasRequest

    public boolean hasRequest(boolean ignoreEmpty)

### getMessages

    public java.lang.String[] getMessages()

  Specified by:
    `getMessages` in interface `MessageExchange`

### setMessages

    public void setMessages(java.lang.String[] messages)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.